Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

# Class GenericIdentification4

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_002_01.GenericIdentification4

public class GenericIdentification4 extends Object

Java class for GenericIdentification4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenericIdentification4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:swift:xsd:$pain.008.002.01}Max35Text"/>
             <element name="IdTp" type="{urn:swift:xsd:$pain.008.002.01}Max35Text"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`id`
`protected String`
`idTp`

## Constructor Summary

Constructors
Constructor
Description
`GenericIdentification4()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Gets the value of the id property.
`String`
`getIdTp()`
Gets the value of the idTp property.
`void`
`setId(String value)`
Sets the value of the id property.
`void`
`setIdTp(String value)`
Sets the value of the idTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected String id

### idTp

protected String idTp

## Constructor Details

### GenericIdentification4

public GenericIdentification4()

## Method Details

### getId

public String getId()
Gets the value of the id property.

Returns:
  possible object is `String`

### setId

public void setId(String value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

### getIdTp

public String getIdTp()
Gets the value of the idTp property.

Returns:
  possible object is `String`

### setIdTp

public void setIdTp(String value)
Sets the value of the idTp property.

Parameters:
  `value` - allowed object is `String`